package com.brilliance.isc.common.quemod.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

@Getter
@AllArgsConstructor
public enum DocumentCenterTranscode {
    GITPOP("GITPOP","GITOPN"),
    NITPOP("NITPOP","NITOPN"),
    HITPOP("HITPOP","HITOPN");

    private final String frame;
    private final String nextFrame;

    public static String getNextFrame(String frame){
        for (DocumentCenterTranscode s : DocumentCenterTranscode.values()) {
            if (Objects.equals(s.getFrame(), frame)) {
                return s.getNextFrame();
            }
        }
        return "";
    }
}
